changelogs.md


apollostack/graphql-tag

Repository  -  API  -  Source

2.5.0

  • Update graphql to ^0.11.0, add graphql@^0.11.0 to peerDependencies pleunv in PR #124

2.4

  • Temporarily reverting PR #99 to investigate issues with bundling

2.4.0

2.3.0

2.2.2

2.2.1

2.2.0

2.1.0

2.0.0

Restore dependence on graphql module abhiaiyer91 in PR #46 addressing #6

1.3.2

  • Add typescript definitions for the bundledPrinter PR #63

1.3.1

  • Making sure not to log deprecation warnings for internal use of deprecated module jnwng addressing #54

1.3.0

  • Bump bundled graphql packages to v0.9.1 jnwng in PR #55.
  • Deprecate the graphql/language/parser and graphql/language/printer exports jnwng in PR #55

1.2.4

Restore Node < 6 compatibility. DragosRotaru in PR #41 addressing #39

1.2.1

Fixed an issue with fragment imports. PR #35.

1.2.0

Added ability to import other GraphQL documents with fragments using #import comments. PR #33

1.1.2

Fix issue with interpolating undefined values Issue #19

1.1.1

Added typescript definitions for the below.

1.1.0

We now emit warnings if you use the same name for two different fragments.

You can disable this with:

import { disableFragmentWarnings } from 'graphql-tag';

disableFragmentWarnings()

1.0.0

Releasing 0.1.17 as 1.0.0 in order to be explicit about Semantic Versioning.

0.1.17

  • Allow embedding fragments inside document strings, as in
import gql from 'graphql-tag';

const fragment = gql`
fragment Foo on Bar {
  field
}
`;

const query = gql`
{
  ...Foo
}
${Foo}
`

See also http://dev.apollodata.com/react/fragments.html

0.1.16

  • Add caching to Webpack loader. PR #16

0.1.15

  • Add Webpack loader to graphql-tag/loader.

0.1.14

Changes were not tracked before this version.